diff --git a/src/main/mainconfig.c b/src/main/mainconfig.c
index 595f787..bedcc8a 100644
--- a/src/main/mainconfig.c
+++ b/src/main/mainconfig.c
@@ -704,11 +704,10 @@ static int switch_users(CONF_SECTION *cs)
 #endif
 
 		/*
-		 *	Otherwise, re-enable core dumps if we're
-		 *	running as a daemon, AND core dumps are
-		 *	allowed, AND we changed UID's.
+		 *	Otherwise, re-enable core dumps if core dumps are
+		 *	allowed AND we changed UID's.
 		 */
-	} else if ((debug_flag == 0) && allow_core_dumps && doing_setuid) {
+	} else if (allow_core_dumps && doing_setuid) {
 		/*
 		 *	Reset the core dump limits again, just to
 		 *	double check that they haven't changed.
